libzypp: zypp::sat::detail Namespace Reference

libzypp 17.36.6

Classes | Typedefs | Functions
zypp::sat::detail Namespace Reference

## Classes
class | DIWrap
| Wrapper around sat `detail::CDataiterator`. More...
class | PoolImpl
struct | PoolMember
| Backlink to the associated PoolImpl. More...
class | SolvableIterator
| Iterate over valid Solvables in the pool. More...
class | Transaction_const_iterator
| Transaction const_iterator. More...
class | Transaction_iterator
| Transaction iterator. More...
class | WhatProvidesIterator
| WhatProvides iterator. More...

## Typedefs
using | CDataiterator = ::s_Dataiterator
| Wrapped libsolv C data type exposed as backdoor.
using | CDatamatcher = ::s_Datamatcher
| Wrapped libsolv C data type exposed as backdoor.
using | CMap = ::s_Map
| Wrapped libsolv C data type exposed as backdoor.
using | CPool = ::s_Pool
| Wrapped libsolv C data type exposed as backdoor.
using | CQueue = ::s_Queue
| Wrapped libsolv C data type exposed as backdoor.
using | CRepo = ::s_Repo
| Wrapped libsolv C data type exposed as backdoor.
using | CSolvable = ::s_Solvable
| Wrapped libsolv C data type exposed as backdoor.
using | CSolver = ::s_Solver
| Wrapped libsolv C data type exposed as backdoor.
using | CTransaction = ::s_Transaction
| Wrapped libsolv C data type exposed as backdoor.
using | IdType = int
| Generic Id type.
using | SolvableIdType = unsigned int
| Id type to connect Solvable and sat-solvable.
using | size_type = SolvableIdType
using | RepoIdType = CRepo *
| Id type to connect Repo and sat-repo.

## Functions
| BOOST_MPL_ASSERT_RELATION (noId,==, STRID_NULL)
| BOOST_MPL_ASSERT_RELATION (emptyId,==, STRID_EMPTY)
| BOOST_MPL_ASSERT_RELATION (noSolvableId,==, ID_NULL)
| BOOST_MPL_ASSERT_RELATION (systemSolvableId,==, SYSTEMSOLVABLE)
| BOOST_MPL_ASSERT_RELATION (solvablePrereqMarker,==, SOLVABLE_PREREQMARKER)
| BOOST_MPL_ASSERT_RELATION (solvableFileMarker,==, SOLVABLE_FILEMARKER)
| BOOST_MPL_ASSERT_RELATION (CapDetail::CAP_AND,==, REL_AND)
| BOOST_MPL_ASSERT_RELATION (CapDetail::CAP_OR,==, REL_OR)
| BOOST_MPL_ASSERT_RELATION (CapDetail::CAP_COND,==, REL_COND)
| BOOST_MPL_ASSERT_RELATION (CapDetail::CAP_UNLESS,==, REL_UNLESS)
| BOOST_MPL_ASSERT_RELATION (CapDetail::CAP_ELSE,==, REL_ELSE)
| BOOST_MPL_ASSERT_RELATION (CapDetail::CAP_WITH,==, REL_WITH)
| BOOST_MPL_ASSERT_RELATION (CapDetail::CAP_WITHOUT,==, REL_WITHOUT)
| BOOST_MPL_ASSERT_RELATION (CapDetail::CAP_NAMESPACE,==, REL_NAMESPACE)
| BOOST_MPL_ASSERT_RELATION (CapDetail::CAP_ARCH,==, REL_ARCH)
| BOOST_MPL_ASSERT_RELATION (namespaceModalias,==, NAMESPACE_MODALIAS)
| BOOST_MPL_ASSERT_RELATION (namespaceLanguage,==, NAMESPACE_LANGUAGE)
| BOOST_MPL_ASSERT_RELATION (namespaceFilesystem,==, NAMESPACE_FILESYSTEM)
const Pathname & | sysconfigStoragePath ()
static void | logSat (CPool *, void *data, int type, const char *logString)
static void | _getLocaleDeps (const Capability &cap_r, LocaleSet &store_r)
static const IdType | noId (0)
static const IdType | emptyId (1)
static const IdType | solvablePrereqMarker (15)
| Internal ids satlib includes in dependencies.
static const IdType | solvableFileMarker (16)
static const IdType | namespaceModalias (18)
static const IdType | namespaceLanguage (20)
static const IdType | namespaceFilesystem (21)
bool | isDepMarkerId (IdType id_r)
| Test for internal ids satlib includes in dependencies.
static const SolvableIdType | noSolvableId (0)
| Id to denote Solvable::noSolvable.
static const SolvableIdType | systemSolvableId (1)
| Id to denote the usually hidden Solvable::systemSolvable.
static const RepoIdType | noRepoId (0)
| Id to denote Repo::noRepository.
std::ostream & | operator<< (std::ostream &str, const DIWrap &obj)
std::ostream & | operator<< (std::ostream &str, const WhatProvidesIterator &obj)
std::ostream & | operator<< (std::ostream &str, const DIWrap &obj)
| Stream output.

## Typedef Documentation

## ◆ CDataiterator

using zypp::sat::detail::CDataiterator = ::s_Dataiterator

Wrapped libsolv C data type exposed as backdoor.

Definition at line 58 of file PoolMember.h.

## ◆ CDatamatcher

using zypp::sat::detail::CDatamatcher = ::s_Datamatcher

Wrapped libsolv C data type exposed as backdoor.

Definition at line 59 of file PoolMember.h.

## ◆ CMap

using zypp::sat::detail::CMap = ::s_Map

Wrapped libsolv C data type exposed as backdoor.

Definition at line 60 of file PoolMember.h.

## ◆ CPool

using zypp::sat::detail::CPool = ::s_Pool

Wrapped libsolv C data type exposed as backdoor.

Definition at line 61 of file PoolMember.h.

## ◆ CQueue

using zypp::sat::detail::CQueue = ::s_Queue

Wrapped libsolv C data type exposed as backdoor.

Definition at line 62 of file PoolMember.h.

## ◆ CRepo

using zypp::sat::detail::CRepo = ::s_Repo

Wrapped libsolv C data type exposed as backdoor.

Definition at line 63 of file PoolMember.h.

## ◆ CSolvable

using zypp::sat::detail::CSolvable = ::s_Solvable

Wrapped libsolv C data type exposed as backdoor.

Definition at line 64 of file PoolMember.h.

## ◆ CSolver

using zypp::sat::detail::CSolver = ::s_Solver

Wrapped libsolv C data type exposed as backdoor.

Definition at line 65 of file PoolMember.h.

## ◆ CTransaction

using zypp::sat::detail::CTransaction = ::s_Transaction

Wrapped libsolv C data type exposed as backdoor.

Definition at line 66 of file PoolMember.h.

## ◆ IdType

using zypp::sat::detail::IdType = int

Generic Id type.

Definition at line 104 of file PoolMember.h.

## ◆ SolvableIdType

using zypp::sat::detail::SolvableIdType = unsigned int

Id type to connect Solvable and sat-solvable.

Indext into solvable array.

Definition at line 125 of file PoolMember.h.

## ◆ size_type

using zypp::sat::detail::size_type = SolvableIdType

Definition at line 126 of file PoolMember.h.

## ◆ RepoIdType

using zypp::sat::detail::RepoIdType = CRepo *

Id type to connect Repo and sat-repo.

Definition at line 133 of file PoolMember.h.

## Function Documentation

## ◆ BOOST_MPL_ASSERT_RELATION() [1/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | noId | ,
|  | STRID_NULL | )

## ◆ BOOST_MPL_ASSERT_RELATION() [2/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | emptyId | ,
|  | STRID_EMPTY | )

## ◆ BOOST_MPL_ASSERT_RELATION() [3/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | noSolvableId | ,
|  | ID_NULL | )

## ◆ BOOST_MPL_ASSERT_RELATION() [4/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | systemSolvableId | ,
|  | SYSTEMSOLVABLE | )

## ◆ BOOST_MPL_ASSERT_RELATION() [5/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | solvablePrereqMarker | ,
|  | SOLVABLE_PREREQMARKER | )

## ◆ BOOST_MPL_ASSERT_RELATION() [6/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | solvableFileMarker | ,
|  | SOLVABLE_FILEMARKER | )

## ◆ BOOST_MPL_ASSERT_RELATION() [7/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | CapDetail::CAP_AND | ,
|  | REL_AND | )

## ◆ BOOST_MPL_ASSERT_RELATION() [8/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | CapDetail::CAP_OR | ,
|  | REL_OR | )

## ◆ BOOST_MPL_ASSERT_RELATION() [9/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | CapDetail::CAP_COND | ,
|  | REL_COND | )

## ◆ BOOST_MPL_ASSERT_RELATION() [10/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | CapDetail::CAP_UNLESS | ,
|  | REL_UNLESS | )

## ◆ BOOST_MPL_ASSERT_RELATION() [11/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | CapDetail::CAP_ELSE | ,
|  | REL_ELSE | )

## ◆ BOOST_MPL_ASSERT_RELATION() [12/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | CapDetail::CAP_WITH | ,
|  | REL_WITH | )

## ◆ BOOST_MPL_ASSERT_RELATION() [13/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | CapDetail::CAP_WITHOUT | ,
|  | REL_WITHOUT | )

## ◆ BOOST_MPL_ASSERT_RELATION() [14/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | CapDetail::CAP_NAMESPACE | ,
|  | REL_NAMESPACE | )

## ◆ BOOST_MPL_ASSERT_RELATION() [15/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | CapDetail::CAP_ARCH | ,
|  | REL_ARCH | )

## ◆ BOOST_MPL_ASSERT_RELATION() [16/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | namespaceModalias | ,
|  | NAMESPACE_MODALIAS | )

## ◆ BOOST_MPL_ASSERT_RELATION() [17/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | namespaceLanguage | ,
|  | NAMESPACE_LANGUAGE | )

## ◆ BOOST_MPL_ASSERT_RELATION() [18/18]

zypp::sat::detail::BOOST_MPL_ASSERT_RELATION | ( | namespaceFilesystem | ,
|  | NAMESPACE_FILESYSTEM | )

## ◆ sysconfigStoragePath()

const Pathname & zypp::sat::detail::sysconfigStoragePath | ( |  | ) |

Definition at line 106 of file PoolImpl.cc.

## ◆ logSat()

static void zypp::sat::detail::logSat | ( | CPool * | ,
|  | void * | data,
|  | int | type,
|  | const char * | logString )
| static

Definition at line 114 of file PoolImpl.cc.

## ◆ _getLocaleDeps()

static void zypp::sat::detail::_getLocaleDeps | ( | const Capability & | cap_r,
|  | LocaleSet & | store_r )
| static

Definition at line 569 of file PoolImpl.cc.

## ◆ noId()

static const IdType zypp::sat::detail::noId | ( | 0 |  | ) |
| static

## ◆ emptyId()

static const IdType zypp::sat::detail::emptyId | ( | 1 |  | ) |
| static

## ◆ solvablePrereqMarker()

static const IdType zypp::sat::detail::solvablePrereqMarker | ( | 15 |  | ) |
| static

Internal ids satlib includes in dependencies.

MPL check in PoolImpl.cc

## ◆ solvableFileMarker()

static const IdType zypp::sat::detail::solvableFileMarker | ( | 16 |  | ) |
| static

## ◆ namespaceModalias()

static const IdType zypp::sat::detail::namespaceModalias | ( | 18 |  | ) |
| static

## ◆ namespaceLanguage()

static const IdType zypp::sat::detail::namespaceLanguage | ( | 20 |  | ) |
| static

## ◆ namespaceFilesystem()

static const IdType zypp::sat::detail::namespaceFilesystem | ( | 21 |  | ) |
| static

## ◆ isDepMarkerId()

bool zypp::sat::detail::isDepMarkerId | ( | IdType | id_r | ) |
| inline

Test for internal ids satlib includes in dependencies.

Definition at line 119 of file PoolMember.h.

## ◆ noSolvableId()

static const SolvableIdType zypp::sat::detail::noSolvableId | ( | 0 |  | ) |
| static

Id to denote Solvable::noSolvable.

## ◆ systemSolvableId()

static const SolvableIdType zypp::sat::detail::systemSolvableId | ( | 1 |  | ) |
| static

Id to denote the usually hidden Solvable::systemSolvable.

## ◆ noRepoId()

static const RepoIdType zypp::sat::detail::noRepoId | ( | 0 |  | ) |
| static

Id to denote Repo::noRepository.

## ◆ operator<<() [1/3]

std::ostream & zypp::sat::detail::operator<< | ( | std::ostream & | str,
|  | const DIWrap & | obj )
| related

Definition at line 338 of file LookupAttr.cc.

## ◆ operator<<() [2/3]

std::ostream & zypp::sat::detail::operator<< | ( | std::ostream & | str,
|  | const WhatProvidesIterator & | obj )

Definition at line 171 of file WhatProvides.cc.